org.apache.maven.scm.command.changelog

## Interface ChangeLogCommand

All Known Implementing Classes:
  AbstractChangeLogCommand, AbstractCvsChangeLogCommand, BazaarChangeLogCommand, ClearCaseChangeLogCommand, CvsExeChangeLogCommand, CvsJavaChangeLogCommand, GitChangeLogCommand, HgChangeLogCommand, LocalChangeLogCommand, PerforceChangeLogCommand, StarteamChangeLogCommand, SvnChangeLogCommand, SynergyChangeLogCommand, TfsChangeLogCommand

    public interface ChangeLogCommand

Author:
  Emmanuel Venisse

### Method Summary

All Methods Instance Methods Abstract Methods
`ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Method Detail

#### executeCommand

    ScmResult executeCommand(ScmProviderRepository repository,
                             ScmFileSet fileSet,
                             CommandParameters parameters)
                      throws ScmException

Throws:
  `ScmException`